body {
    position: relative;
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 2rem;
    background-color: var(--primary-color);
    color: #fff;
    position: sticky;
    height: 70px;
    top: 0;
    z-index: 100;
    width: 100%;
}

.logo img {
    max-height: 50px;
    width: auto;
}

.nav-menu {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    gap: 40px;
    align-items: center;
    transition: opacity 0.3s ease, visibility 0.3s ease;
}

.nav-menu li {
    margin: 0 1rem;
}

.nav-menu .navbarlink {
    color: #fff;
    text-decoration: none;
    font-size: 15px;
    font-weight: var(--desktop-subparagraph-font-weight);
}

.menu-toggle {
    display: none;
    flex-direction: column;
    cursor: pointer;
    position: absolute;
    left: 1rem;
    top: 50%;
    transform: translateY(-50%);
}

.menu-toggle i {
    font-size: 25px;
    color: #fff;
    display: block;
}

#closeIcon {
    display: none;
}

.get-in-touch-button {
    display: inline-block;
    padding: 5px 10px;
    font-size: 16px;
    color: var(--primary-color);
    background-color: #fff;
    text-decoration: none;
    border-radius: 20px;
    font-weight: var(--desktop-subheading-font-weight);
}

.get-in-touch-button:hover {
    background-color: var(--primary-color);
    color: #fff;
}


.navbarlink {
    text-decoration: none;
    color: #fff;
    position: relative;
}

.navbarlink::after {
    content: '';
    position: absolute;
    width: 100%;
    height: 5px;
    bottom: -3px;
    left: 0;
    background-color: #fff;
    transform: scaleX(0);
    transform-origin: bottom right;
    transition: transform 0.3s ease;
}

.navbarlink:hover::after {
    transform: scaleX(1);
    transform-origin: bottom left;
}

@media (max-width: 1024px) {
    .nav-menu {
        gap: 10px;
    }

    .navbar {
        padding: 0 1rem;
    }
}

@media (max-width: 768px) {
    .navbar {
        flex-direction: column;
        padding: 0;
        justify-content: center;
    }

    .logo {
        order: 2;
        width: 20%;
        text-align: center;
    }

    .nav-menu {
        opacity: 0;
        visibility: hidden;
        flex-direction: column;
        width: 50%;
        background-color: var(--primary-color);
        position: absolute;
        top: 70px;
        left: 0;
        box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
        z-index: 1;
        transition: opacity 0.3s ease, visibility 0.3s ease;
    }

    .nav-menu.active {
        opacity: 1;
        visibility: visible;
        gap: 0;
    }

    .nav-menu li {
        margin: 1rem 0;
        text-align: center;
    }

    .menu-toggle {
        display: flex;
    }

    .menu-toggle #menuIcon {
        display: block;
    }

    .menu-toggle #closeIcon {
        display: none;
    }

    .nav-menu.active+.menu-toggle #menuIcon {
        display: none;
    }

    .nav-menu.active+.menu-toggle #closeIcon {
        display: block;
    }
}